
Redmine - Feature #15257

Attachment deduplication

2013-11-04 19:02 - Anonymous

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

If two different attachments have the same size and checksum, it would be good to store only one instance of the file in attachment

storage path.

Related issues:

Is duplicate of Redmine - Patch #25215: Re-use existing identical disk files ... Closed

History

#1 - 2013-11-08 00:06 - Jan Niggemann (redmine.org team member)

- Subject changed from Storing one file for equal attachments to Attachment deduplication

Renamed subject...

#2 - 2015-12-22 19:22 - Sebastian Paluch

+100

This would help significantly with #19289.

#3 - 2016-01-12 07:07 - Toshi MARUYAMA

- Related to Feature #19289: Exclude attachments from incoming emails based on file content or file hash added

#4 - 2017-02-28 10:43 - Go MAEDA

- Is duplicate of Patch #25215: Re-use existing identical disk files for new attachments added

#5 - 2017-02-28 10:44 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

A patch to implement this feature has been submitted as #25215.

#6 - 2017-02-28 10:44 - Go MAEDA

- Related to deleted (Feature #19289: Exclude attachments from incoming emails based on file content or file hash)
